VERSION 5.00
Begin VB.Form FNonClientMetrics 
   Caption         =   "CNonClientMetrics Test"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "FNonClientMetrics"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' *************************************************************************
'  Copyright 1999 Karl E. Peterson
'  All Rights Reserved, http://www.mvps.org/vb
' *************************************************************************
'  You are free to use this code within your own applications, but you
'  are expressly forbidden from selling or otherwise distributing this
'  source code, non-compiled, without prior written consent.
' *************************************************************************
Option Explicit

Private Sub Form_Paint()
   Dim ncm As CNonClientMetrics
   
   Set ncm = New CNonClientMetrics
   ncm.Refresh
   
   Me.Cls
   
   ' Print samples of system fonts.
   Set Me.Font = ncm.CaptionFont
   PrintFontData "CaptionFont"
   Set Me.Font = ncm.MenuFont
   PrintFontData "MenuFont"
   Set Me.Font = ncm.MessageFont
   PrintFontData "MessageFont"
   Set Me.Font = ncm.StatusFont
   PrintFontData "StatusFont"
   Me.Print
   
   ' Print other non-client metrics.
   Me.Print "BorderWidth: "; ncm.BorderWidth
   Me.Print "CaptionHeight: "; ncm.CaptionHeight
   Me.Print "CaptionWidth: "; ncm.CaptionWidth
   Me.Print "MenuHeight: "; ncm.MenuHeight
   Me.Print "MenuWidth: "; ncm.MenuWidth
   Me.Print "ScrollHeight: "; ncm.ScrollHeight
   Me.Print "ScrollWidth: "; ncm.ScrollWidth
   Me.Print "SmCaptionHeight: "; ncm.SmCaptionHeight
   Me.Print "SmCaptionWidth: "; ncm.SmCaptionWidth
End Sub

Private Sub PrintFontData(Optional Name As String)
   If Len(Name) Then Me.Print Name; ": ";
   Me.Print Me.Font.Name; ", ";
   Me.Print CInt(Me.Font.Size); " pt."
End Sub
