VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "TaskList Demo"
   ClientHeight    =   5520
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4935
   LinkTopic       =   "Form1"
   ScaleHeight     =   5520
   ScaleWidth      =   4935
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Left            =   4920
      Top             =   4920
   End
   Begin VB.CommandButton cmdClose 
      Cancel          =   -1  'True
      Caption         =   "&Close"
      Height          =   375
      Left            =   3720
      TabIndex        =   4
      Top             =   5040
      Width           =   1095
   End
   Begin VB.CommandButton cmdDelay 
      Caption         =   "&Delay"
      Height          =   375
      Left            =   2520
      TabIndex        =   3
      ToolTipText     =   "Call ForceForegroundWindow after a 3-second delay."
      Top             =   5040
      Width           =   1095
   End
   Begin VB.CommandButton cmdForeground 
      Caption         =   "&Foreground"
      Height          =   375
      Left            =   1320
      TabIndex        =   2
      ToolTipText     =   "Call ForceForegroundWindow  on highlighted application."
      Top             =   5040
      Width           =   1095
   End
   Begin VB.CommandButton cmdRefresh 
      Caption         =   "&Refresh"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   1
      ToolTipText     =   "Refresh the Task List."
      Top             =   5040
      Width           =   1095
   End
   Begin VB.ListBox List1 
      Height          =   4860
      IntegralHeight  =   0   'False
      Left            =   60
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   60
      Width           =   4815
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function SetForegroundWindow Lib "user32" (ByVal hWnd As Long) As Long
Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long

Private Const LB_GETITEMHEIGHT = &H1A1

Private Sub cmdClose_Click()
   Unload Me
End Sub

Private Sub cmdDelay_Click()
   Timer1.Interval = 3000
   Timer1.Enabled = True
End Sub

Private Sub cmdForeground_Click()
   Call SetForegroundWindow(List1.ItemData(List1.ListIndex))
End Sub

Private Sub cmdRefresh_Click()
   Call FillTaskListBox(List1)
   List1.ListIndex = 0
End Sub

Private Sub Form_Load()
   Call cmdRefresh_Click
   Set Me.Icon = Nothing
End Sub

Private Sub Form_Resize()
   On Error Resume Next
   With List1
      .Move .Left, .Top, Me.ScaleWidth - .Left * 2, Me.ScaleHeight - .Top * 3 - cmdRefresh.Height
      cmdRefresh.Top = .Height + .Top * 2
      cmdForeground.Top = cmdRefresh.Top
      cmdDelay.Top = cmdRefresh.Top
      cmdClose.Top = cmdRefresh.Top
   End With
End Sub

Private Sub List1_DblClick()
   Call cmdForeground_Click
End Sub

Private Sub List1_KeyPress(KeyAscii As Integer)
   Dim hWnd As String
   hWnd = "&H" & Hex(List1.ItemData(List1.ListIndex))
   Debug.Print hWnd
   Clipboard.Clear
   Clipboard.SetText hWnd
End Sub

Private Sub List1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
   Dim ItemHeight As Long
   Dim NewIndex As Long
   With List1
      ItemHeight = SendMessage(.hWnd, LB_GETITEMHEIGHT, 0, ByVal 0&)
      ItemHeight = ScaleY(ItemHeight, vbPixels, vbTwips)
      NewIndex = .TopIndex + (Y \ ItemHeight)
      If NewIndex < .ListCount Then
         .ToolTipText = "&H" & Hex(.ItemData(NewIndex))
      Else
         .ToolTipText = vbNullString
      End If
   End With
End Sub

Private Sub Timer1_Timer()
   Timer1.Enabled = False
   Call ForceForegroundWindow(Me.hWnd)
   Call SetForegroundWindow(List1.ItemData(List1.ListIndex))
End Sub
